%define __noautoprov '_network.so|htmlsax.so'

Summary:	Check HTML documents for broken links
Name:		linkchecker
Version:	9.1
Release:	%mkrel 2
Url:		http://linkchecker.sourceforge.net
Source0:	http://downloads.sourceforge.net/project/linkchecker/%{version}/LinkChecker-%{version}.tar.xz
License:	GPLv2+
Group:		Networking/WWW
BuildRequires:	python-devel
BuildRequires:	qt4-assistant
Requires:	python-qt4
Requires:	python-requests >= 2.2.0

%description
 Features:
  o recursive checking
  o multithreaded
  o output can be colored or normal text, HTML, SQL, CSV or a sitemap
    graph in GML or XML
  o HTTP/1.1, FTP, mailto:, nntp:, news:, Gopher, Telnet and local 
    file links are supported
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o give username/password for HTTP and FTP authorization
  o robots.txt exclusion protocol support 
  o i18n support
  o command line interface
  o (Fast)CGI web interface (requires HTTP server)

%prep
%setup -qn LinkChecker-%{version}

%build

sed -i s/logo48x48/linkchecker/ doc/linkchecker-gui.desktop

pushd doc/html
 make
popd

python setup.py build

%install
PYTHONDONTWRITEBYTECODE= python setup.py install --root=%{buildroot}

mkdir -p %{buildroot}%{_iconsdir}
cp doc/html/logo48x48.png %{buildroot}%{_iconsdir}/%{name}.png

rm -f %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/*
%{_datadir}/applications/%{name}-gui.desktop
%{py_platsitedir}/*
%{_mandir}/*/*
%{_datadir}/%{name}
%{_iconsdir}/%{name}.png


%changelog
* Sun Apr 06 2014 gseaman <galen.seaman at comcast.net> 9.1-1gseaman2014
- first build for PCLinuxOS from Mandriva spec
